net.sourceforge.pmd.lang.xml.rule

## Class XmlRuleChainVisitor

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.AbstractRuleChainVisitor
  - - net.sourceforge.pmd.lang.xml.rule.XmlRuleChainVisitor

- All Implemented Interfaces:
    RuleChainVisitor

      public class XmlRuleChainVisitor
      extends AbstractRuleChainVisitor

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.rule.AbstractRuleChainVisitor

      `nodeNameToNodes, ruleSetRules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlRuleChainVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `indexNodes(List<Node> nodes, RuleContext ctx)` Index all nodes for visitation by rules.
    `protected void` | `visit(Rule rule, Node node, RuleContext ctx)` Visit the given rule to the given node.

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRuleChainVisitor

      `add, clear, indexNode, initialize, visitAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlRuleChainVisitor

          public XmlRuleChainVisitor()

  - ### Method Detail

    - #### indexNodes

          protected void indexNodes(List<Node> nodes,
                        RuleContext ctx)

      Description copied from class: `AbstractRuleChainVisitor`
      Index all nodes for visitation by rules.
      Specified by:
        `indexNodes` in class `AbstractRuleChainVisitor`

    - #### visit

          protected void visit(Rule rule,
                   Node node,
                   RuleContext ctx)

      Description copied from class: `AbstractRuleChainVisitor`
      Visit the given rule to the given node.
      Specified by:
        `visit` in class `AbstractRuleChainVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.